Package com.emc.d2fs.models.preference

# Class ObjectFactory

java.lang.Object
com.emc.d2fs.models.preference.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.emc.d2fs.models.preference package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.models.preference

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Column`
  `createColumn()`
  Create an instance of `Column`
  `ColumnPreference`
  `createColumnPreference()`
  Create an instance of `ColumnPreference`
  `JAXBElement<ColumnPreference>`
  `createColumnPreference(ColumnPreference value)`
  Create an instance of `JAXBElement``<``ColumnPreference``>`
  `JAXBElement<Column>`
  `createColumns(Column value)`
  Create an instance of `JAXBElement``<``Column``>`
  `D2SVWidgetPreference`
  `createD2SVWidgetPreference()`
  Create an instance of `D2SVWidgetPreference`
  `JAXBElement<D2SVWidgetState>`
  `createD2SvWidgetState(D2SVWidgetState value)`
  Create an instance of `JAXBElement``<``D2SVWidgetState``>`
  `D2SVWidgetState`
  `createD2SVWidgetState()`
  Create an instance of `D2SVWidgetState`
  `Preference`
  `createPreference()`
  Create an instance of `Preference`
  `JAXBElement<Preference>`
  `createPreference(Preference value)`
  Create an instance of `JAXBElement``<``Preference``>`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.models.preference

- ## Method Details

  - ### createPreference

    public Preference createPreference()
    Create an instance of `Preference`

  - ### createColumn

    public Column createColumn()
    Create an instance of `Column`

  - ### createColumnPreference

    public ColumnPreference createColumnPreference()
    Create an instance of `ColumnPreference`

  - ### createD2SVWidgetState

    public D2SVWidgetState createD2SVWidgetState()
    Create an instance of `D2SVWidgetState`

  - ### createD2SVWidgetPreference

    public D2SVWidgetPreference createD2SVWidgetPreference()
    Create an instance of `D2SVWidgetPreference`

  - ### createPreference

    public JAXBElement<Preference> createPreference(Preference value)
    Create an instance of `JAXBElement``<``Preference``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Preference``>`

  - ### createColumns

    public JAXBElement<Column> createColumns(Column value)
    Create an instance of `JAXBElement``<``Column``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Column``>`

  - ### createColumnPreference

    public JAXBElement<ColumnPreference> createColumnPreference(ColumnPreference value)
    Create an instance of `JAXBElement``<``ColumnPreference``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ColumnPreference``>`

  - ### createD2SvWidgetState

    public JAXBElement<D2SVWidgetState> createD2SvWidgetState(D2SVWidgetState value)
    Create an instance of `JAXBElement``<``D2SVWidgetState``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``D2SVWidgetState``>`